DataRetrievalControllerGetDataRegionStatistics Method |
POST /DataRetrieval/GetDataRegionStatistics/
Gets the data statistics for the specified data region.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetDataRegionStatistics")]
public Task<HttpResponseMessage> GetDataRegionStatistics(
[FromBodyAttribute] DataRegionStatisticsRequestData options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetDataRegionStatistics")>
Public Function GetDataRegionStatistics (
<FromBodyAttribute> options As DataRegionStatisticsRequestData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As Task(Of HttpResponseMessage)public:
[HttpPostAttribute]
[ActionNameAttribute(L"GetDataRegionStatistics")]
Task<HttpResponseMessage^>^ GetDataRegionStatistics(
[FromBodyAttribute] DataRegionStatisticsRequestData^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetDataRegionStatistics")>]
member GetDataRegionStatistics :
[<FromBodyAttribute>] options : DataRegionStatisticsRequestData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> Task<HttpResponseMessage>
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDataRegionStatisticsRequestData
The options for how to retrieve the statistics. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
TaskHttpResponseMessage
Returns a
StatisticsResultData with the results. If an error occurs, either a status code is returned indicating the problem, or the Exceptions property on
the result will be populated with one or more errors.
See Also